# DataExchange
TKXSBase
IFGraph

# IFGraph_Cumulate Class Reference

this class evaluates effect of cumulated sub-parts :
overlapping, forgotten entities
Results are kept in a Graph, several question can be set
Basic Iteration gives entities which are part of Cumulation

`#include <IFGraph_Cumulate.hxx>`

Inheritance diagram for IFGraph_Cumulate:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IFGraph_Cumulate (const Interface_Graph &agraph)
| creates empty Cumulate, ready to work
Standard_EXPORT void | GetFromEntity (const Handle(Standard_Transient)&ent)
| adds an entity and its shared ones to the list
Standard_EXPORT void | GetFromIter (const Interface_EntityIterator &iter)
| adds a list of entities (as an iterator) as such, that is, without their shared entities (use AllShared to have them)
Standard_EXPORT void | ResetData ()
| Allows to restart on a new data set .
virtual Standard_EXPORT void | Evaluate ()
| Evaluates the result of cumulation .
Standard_EXPORT Interface_EntityIterator | Overlapped () const
| returns entities which are taken several times
Standard_EXPORT Interface_EntityIterator | Forgotten () const
| returns entities which are not taken
Standard_EXPORT Interface_EntityIterator | PerCount (const Standard_Integer count=1) const
| Returns entities taken a given count of times (0 : same as Forgotten, 1 : same as no Overlap : default) .
Standard_EXPORT Standard_Integer | NbTimes (const Handle(Standard_Transient)&ent) const
| returns number of times an Entity has been counted (0 means forgotten, more than 1 means overlap, 1 is normal)
Standard_EXPORT Standard_Integer | HighestNbTimes () const
| Returns the highest number of times recorded for every Entity (0 means empty, 1 means no overlap) .

## Private Attributes

Interface_Graph | thegraph

## Constructor & Destructor Documentation

Standard_EXPORT IFGraph_Cumulate::IFGraph_Cumulate | ( | const Interface_Graph & | agraph | ) |

## Member Function Documentation

virtual Standard_EXPORT void IFGraph_Cumulate::Evaluate | ( |  | ) | `[virtual]`

| Reimplemented from Interface_GraphContent.

Standard_EXPORT Interface_EntityIterator IFGraph_Cumulate::Forgotten | ( |  | ) | const

Standard_EXPORT void IFGraph_Cumulate::GetFromEntity | ( | const Handle(Standard_Transient)& | ent | ) |

Standard_EXPORT void IFGraph_Cumulate::GetFromIter | ( | const Interface_EntityIterator & | iter | ) |

Standard_EXPORT Standard_Integer IFGraph_Cumulate::HighestNbTimes | ( |  | ) | const

Standard_EXPORT Standard_Integer IFGraph_Cumulate::NbTimes | ( | const Handle(Standard_Transient)& | ent | ) | const

void IFGraph_Cumulate::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Interface_GraphContent.

void* IFGraph_Cumulate::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Interface_GraphContent.

void* IFGraph_Cumulate::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Interface_GraphContent.

Standard_EXPORT Interface_EntityIterator IFGraph_Cumulate::Overlapped | ( |  | ) | const

Standard_EXPORT Interface_EntityIterator IFGraph_Cumulate::PerCount | ( | const Standard_Integer | count = `1` | ) | const

Standard_EXPORT void IFGraph_Cumulate::ResetData | ( |  | ) |

## Field Documentation

Interface_Graph IFGraph_Cumulate::thegraph `[private]`

The documentation for this class was generated from the following file:

- IFGraph_Cumulate.hxx